package models

import (
	"gogs.mikescher.com/BlackForestBytes/goext/rfctime"
)

type PasswordResetToken struct {
	ID             PasswordResetTokenID    `bson:"_id,omitempty"`
	Secret         string                  `bson:"secret"`
	UserID         AnyID                   `bson:"userID"`
	UserType       UserType                `bson:"userType"`
	CreationTime   rfctime.RFC3339NanoTime `bson:"creationTime"`
	ExpirationTime rfctime.RFC3339NanoTime `bson:"expirationTime"`
}
